MCLookbackEngine< I, RNG, S > Class Template Reference

Monte Carlo lookback-option engine. More...

`#include <ql/pricingengines/lookback/mclookbackengine.hpp>`

Inheritance diagram for MCLookbackEngine< I, RNG, S >:
[legend]

## Public Types

typedef McSimulation< SingleVariate, RNG, S >::path_generator_type | path_generator_type
typedef McSimulation< SingleVariate, RNG, S >::path_pricer_type | path_pricer_type
Public Types inherited from McSimulation< SingleVariate, PseudoRandom, Statistics >
typedef MonteCarloModel< SingleVariate, PseudoRandom, Statistics >::path_generator_type | path_generator_type
typedef MonteCarloModel< SingleVariate, PseudoRandom, Statistics >::path_pricer_type | path_pricer_type
typedef MonteCarloModel< SingleVariate, PseudoRandom, Statistics >::stats_type | stats_type
typedef MonteCarloModel< SingleVariate, PseudoRandom, Statistics >::result_type | result_type

## Public Member Functions

| MCLookbackEngine (const ext::shared_ptr< GeneralizedBlackScholesProcess > &process, Size timeSteps, Size timeStepsPerYear, bool brownianBridge, bool antithetic, Size requiredSamples, Real requiredTolerance, Size maxSamples, BigNatural seed)
void | calculate () const
Public Member Functions inherited from McSimulation< SingleVariate, PseudoRandom, Statistics >
result_type | value (Real tolerance, Size maxSamples=QL_MAX_INTEGER, Size minSamples=1023) const
| add samples until the required absolute tolerance is reached
result_type | valueWithSamples (Size samples) const
| simulate a fixed number of samples
result_type | errorEstimate () const
| error estimated using the samples simulated so far
const stats_type & | sampleAccumulator () const
| access to the sample accumulator for richer statistics
void | calculate (Real requiredTolerance, Size requiredSamples, Size maxSamples) const
| basic calculate method provided to inherited pricing engines

## Protected Member Functions

TimeGrid | timeGrid () const
ext::shared_ptr< path_generator_type > | pathGenerator () const
ext::shared_ptr< path_pricer_type > | pathPricer () const
Protected Member Functions inherited from McSimulation< SingleVariate, PseudoRandom, Statistics >
| McSimulation (bool antitheticVariate, bool controlVariate)
virtual ext::shared_ptr< path_pricer_type > | pathPricer () const=0
virtual ext::shared_ptr< path_generator_type > | pathGenerator () const=0
virtual TimeGrid | timeGrid () const=0
virtual ext::shared_ptr< path_pricer_type > | controlPathPricer () const
virtual ext::shared_ptr< path_generator_type > | controlPathGenerator () const
virtual ext::shared_ptr< PricingEngine > | controlPricingEngine () const
virtual result_type | controlVariateValue () const

## Protected Attributes

ext::shared_ptr< GeneralizedBlackScholesProcess > | process_
Size | timeSteps_
Size | timeStepsPerYear_
Size | requiredSamples_
Size | maxSamples_
Real | requiredTolerance_
bool | antithetic_
bool | brownianBridge_
BigNatural | seed_
Protected Attributes inherited from McSimulation< SingleVariate, PseudoRandom, Statistics >
ext::shared_ptr< MonteCarloModel< SingleVariate, PseudoRandom, Statistics > > | mcModel_
bool | antitheticVariate_
bool | controlVariate_

## Additional Inherited Members

Static Protected Member Functions inherited from McSimulation< SingleVariate, PseudoRandom, Statistics >
static Real | maxError (const Sequence &sequence)
static Real | maxError (Real error)

## Detailed Description

### template<class I, class RNG = PseudoRandom, class S = Statistics>
class QuantLib::MCLookbackEngine< I, RNG, S >

Monte Carlo lookback-option engine.